## GESVideoUriSource GESVideoUriSource — outputs a single video stream from a given file |

## Synopsis

    #include <ges/ges.h>

                        GESVideoUriSource;
    GESVideoUriSource * ges_video_uri_source_new            (gchar *uri);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GESTimelineElement
                   +----GESTrackElement
                         +----GESSource
                               +----GESVideoSource
                                     +----GESVideoUriSource

## Implemented Interfaces

GESVideoUriSource implements GESExtractable and GESMetaContainer.

## Properties

      "uri"                      gchar*                : Read / Write / Construct Only

## Description

## Details

### GESVideoUriSource

    typedef struct _GESVideoUriSource GESVideoUriSource;

### ges_video_uri_source_new ()

    GESVideoUriSource * ges_video_uri_source_new            (gchar *uri);

Creates a new GESVideoUriSource for the provided `uri`.

`uri` : | the URI the source should control
Returns : | The newly created GESVideoUriSource, or `NULL` if there was an error.

## Property Details

### The `"uri"` property

      "uri"                      gchar*                : Read / Write / Construct Only

The location of the file/resource to use.

Default value: NULL